Organizations
Get an organization by id (SuperAdmin only)
Returns the full organization document for the given id, including populated credentials (Anthropic, Sinch, Twilio, etc.) and a resolved logoUrl. Only callable by SUPERADMIN.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/organizations/string"{ "_id": "5f7b1c2e8a1d4e0012c3b400", "name": "Acme Corp", "phoneNumber": "+14165550100", "address": "123 Yonge St, Toronto, ON", "logoUrl": "https://cdn.example.com/logos/acme.png?sig=...", "credentials": { "_id": "5f7b1c2e8a1d4e0012c3b410", "anthropicApiKey": "sk-ant-api03-EXAMPLE-key-redacted", "sinchServicePlanId": "srv-plan-example-123" }}